// ----------------------------------------------------------------------------
// LocalVariableSymbolBase.java
// The base class for a variable symbol that can be only locally referenced.
// $Id: LocalVariableSymbolBase.java,v 1.4 2009/04/09 10:42:16 schreine Exp $
//
// Author: Wolfgang Schreiner <Wolfgang.Schreiner@risc.uni-linz.ac.at>
// Copyright (C) 2008, Research Institute for Symbolic Computation (RISC)
// Johannes Kepler University, Linz, Austria, http://www.risc.uni-linz.ac.at
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
// ----------------------------------------------------------------------------
package fmrisc.ProgramExplorer.Semantics;

import fmrisc.ProgramExplorer.Syntax.*;
import fmrisc.ProgramExplorer.Syntax.Program.TypeExpression;

/**
 * 
 * The base class for a variable symbol that can be only locally referenced.
 *
 */
public abstract class LocalVariableSymbolBase extends VariableSymbolBase
{  
  /***************************************************************************
   * Construct local variable symbol from name and type.
   * @param name the name of the symbol.
   * @param type the type of the symbol.
   **************************************************************************/
  protected LocalVariableSymbolBase(Identifier name, TypeExpression type)
  {
    super(name, type);
  }
}

