// ----------------------------------------------------------------------------
// Symbol.java
// The interface to symbols.
// $Id: Symbol.java,v 1.6 2010/03/03 14:01:20 schreine Exp $
//
// Author: Wolfgang Schreiner <Wolfgang.Schreiner@risc.uni-linz.ac.at>
// Copyright (C) 2008, Research Institute for Symbolic Computation (RISC)
// Johannes Kepler University, Linz, Austria, http://www.risc.uni-linz.ac.at
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
// ----------------------------------------------------------------------------
package fmrisc.ProgramExplorer.Semantics;

import fmrisc.ProgramExplorer.Syntax.*;
import java.io.*;

/**
 * 
 * The interface to symbols.
 *
 */
public interface Symbol
{
  /***************************************************************************
   * Get name associated to symbol.
   * @return the associated name.
   **************************************************************************/
  public Identifier getName();
  
  /***************************************************************************
   * Print symbol on output stream.
   * @param out the output stream.
   **************************************************************************/
  public void print(PrintWriter out);
  
  /***************************************************************************
   * Get declaration of variable (if any).
   * @return the declaration (may be null).
   **************************************************************************/
  public Declaration getDeclaration();
}

