// ----------------------------------------------------------------------------
// VariableSymbol.java
// The interface to a symbol denoting a variable.
// $Id: VariableSymbol.java,v 1.4 2010/01/21 17:15:45 schreine Exp $
//
// Author: Wolfgang Schreiner <Wolfgang.Schreiner@risc.uni-linz.ac.at>
// Copyright (C) 2008, Research Institute for Symbolic Computation (RISC)
// Johannes Kepler University, Linz, Austria, http://www.risc.uni-linz.ac.at
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
// ----------------------------------------------------------------------------
package fmrisc.ProgramExplorer.Semantics;

import fmrisc.ProgramExplorer.Syntax.Program.*;
import fmrisc.ProgramExplorer.Syntax.Logic.Type;

/**
 * 
 * The interface to a symbol denoting a variable.
 *
 */
public interface VariableSymbol extends Symbol
{
  /***************************************************************************
   * Get type of symbol.
   * @return the symbol's type
   **************************************************************************/
  public TypeExpression getType();
  
  /***************************************************************************
   * Set logic type of symbol.
   * @param type the symbol's logic type
   **************************************************************************/
  public void setLogicType(Type type);
  
  /***************************************************************************
   * Get logic type of symbol.
   * @return the symbol's logic type
   **************************************************************************/
  public Type getLogicType();
}
