// ----------------------------------------------------------------------------
// SelectorBase.java
// Base class of a component selector.
// $Id: SelectorBase.java,v 1.6 2011/09/30 15:47:34 schreine Exp $
//
// Author: Wolfgang Schreiner <Wolfgang.Schreiner@risc.uni-linz.ac.at>
// Copyright (C) 2008, Research Institute for Symbolic Computation (RISC)
// Johannes Kepler University, Linz, Austria, http://www.risc.uni-linz.ac.at
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
// ----------------------------------------------------------------------------
package fmrisc.ProgramExplorer.Syntax.Program;

import fmrisc.ProgramExplorer.Syntax.ASTVisitor;
import fmrisc.ProgramExplorer.Syntax.Logic.Type;

/**
 * 
 * Base class of a component selector.
 *
 */
public class SelectorBase extends ASTProgramBase implements Selector
{
  private TypeExpression texp;
  private Type type;
  
  /***************************************************************************
   * set type of expression after selection
   **************************************************************************/
  public void setType(TypeExpression type)
  {
    texp = type;
  }
  
  /***************************************************************************
   * set type of expression after selection
   **************************************************************************/
  public TypeExpression getType()
  {
    return texp;
  }
  
  /***************************************************************************
   * set type of expression to which selector is applied
   **************************************************************************/
  public void setLogicBaseType(Type type)
  {
    this.type = type;
  }
  
  /***************************************************************************
   * get type of expression to which selector is applied
   **************************************************************************/
  public Type getLogicBaseType()
  {
    return type;
  }
  
  /***************************************************************************
   * Accept visitor for a visit.
   * @param visitor the visitor who is accepted by this node.
   **************************************************************************/
  public void accept(ASTVisitor visitor)
  {
    visitor.visit(this);
  }
}

