// ----------------------------------------------------------------------------
// FailedTask.java
// An unconditionally failed task.
// $Id: FailedTask.java,v 1.1 2011/03/23 17:38:16 schreine Exp $
//
// Author: Wolfgang Schreiner <Wolfgang.Schreiner@risc.jku.at>
// Copyright (C) 2009, Research Institute for Symbolic Computation (RISC)
// Johannes Kepler University, Linz, Austria, http://www.risc.jku.at
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
// ----------------------------------------------------------------------------
package fmrisc.ProgramExplorer.Tasks;

import java.io.*;
import fmrisc.ProgramExplorer.InOut.*;

/**
 * 
 * An unconditionally failed task.
 *
 */
public final class FailedTask extends TaskBase
{
  /***************************************************************************
   * Construct a failed task.
   * @param tag the tag of the task.
   * @param name the name of the task.
   * @param message a message describing the failure.
   * @param pos a source code position to which the task is attached.
   * @param parent the location of the parent folder.
   **************************************************************************/
  public FailedTask(String tag, String name, String message,
    SourcePosition pos, File parent)
  {
    super("[" + tag + "] " + name, false, pos, parent, null);
    setStatus(Status.FAILED, message, null);
  }
}

