// ----------------------------------------------------------------------------
// ProofNavigatorTask.java
// A task that is suitable for solving with the RISC ProofNavigator.
// $Id: ProofNavigatorTask.java,v 1.5 2011/05/03 14:07:01 schreine Exp $
//
// Author: Wolfgang Schreiner <Wolfgang.Schreiner@risc.uni-linz.ac.at>
// Copyright (C) 2010-, Research Institute for Symbolic Computation (RISC)
// Johannes Kepler University, Linz, Austria, http://www.risc.ewuni-linz.ac.at
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
// ----------------------------------------------------------------------------
package fmrisc.ProgramExplorer.Tasks;

import fmrisc.ProgramExplorer.Proving.ProofNavigatorProblem;

/**
 * 
 * A task that is suitable for solving with the RISC ProofNavigator.
 *
 */
public interface ProofNavigatorTask extends Task
{
  /****************************************************************************
   * Translate task into a problem for the RISC ProofNavigator.
   * @return the translation.
   ***************************************************************************/
  public ProofNavigatorProblem proofNavigatorProblem();
  
  /****************************************************************************
   * Reset the task to its initial (new) state.
   ***************************************************************************/
  public void reset();
}
