// ----------------------------------------------------------------------------
// Quit.java
// The "quit" command.
// $Id: Quit.java,v 1.7 2005/12/16 22:24:00 schreine Exp $
//
// Author: Wolfgang Schreiner <Wolfgang.Schreiner@risc.uni-linz.ac.at>
// Copyright (C) 2005, Research Institute for Symbolic Computation (RISC)
// Johannes Kepler University, Linz, Austria, http://www.risc.uni-linz.ac.at
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
// ----------------------------------------------------------------------------
package fmrisc.ProofNavigator.Commands;

import java.io.PrintWriter;

import fmrisc.ProofNavigator.*;

/**
 * 
 * "quit": quit from current proof or session.
 *
 */
public final class Quit extends CommandBase
{
  public final static String Name = "quit";
  
  /***************************************************************************
   * create a "quit" command
   **************************************************************************/
  public Quit()
  {
    super(Name);
  }
  
  /****************************************************************************
   * process command "quit". This means
   * - within proof mode: quit from current proof.
   * - outside proof mode: quit from current session.
   ***************************************************************************/
  public void process()
  {
    Main.quit();
  }
  /***************************************************************************
   * Prints text representation on out (without new line termination).
   * @param out the stream on which the text is written
   **************************************************************************/
  public void printCore(PrintWriter out)
  {
    out.print(getName());
  }
}
