// ----------------------------------------------------------------------------
// MapClass.java
// A portable generic map.
// $Id: MapClass.java,v 1.1 2011/05/18 14:05:42 schreine Exp $
//
// Author: Wolfgang Schreiner <Wolfgang.Schreiner@risc.jku.at>
// Copyright (C) 2008-, Research Institute for Symbolic Computation (RISC)
// Johannes Kepler University, Linz, Austria, http://www.risc.jkuc.at
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
// ----------------------------------------------------------------------------
package fmrisc.ProofNavigator;

import java.util.*;

/**
 * 
 * A portable generic map.
 * 
 */
public class MapClass<K,V> extends LinkedHashMap<K,V>
{
  // the class preserves a predictable iteration order
  // such that proof states are preserved across executions
  
  static final long serialVersionUID = -29091967L;
  
  public MapClass()
  {
    super();
  }
  
  public MapClass(Map<? extends K,? extends V> m) 
  {
    super(m);
  }
}
